using System.Collections.Generic;
using System;

namespace WingServerCommon.Config
{
    /// <summary>
    /// Storage 配置 
    /// </summary>
   public class StorageSettings
    {
        /// <summary>
        /// 默认云存储服务
        /// </summary>
        public StorageServerEnum DefaultStorageServer { get; set; }

        /// <summary>
        /// 默认节点
        /// </summary>
        public string DefaultStorageNode { get; set; }

        /// <summary>
        /// 分块上传阈值，大于此值使用分块上传单位Byte
        /// </summary>
        public int DivisionForUpload { get; set; }

        /// <summary>
        /// 自动分块大小  单位Byte
        /// </summary>
        public int SliceSizeForUpload { get; set; }

        /// <summary>
        /// 云存储服务分配的 用户id
        /// </summary>
        public string AppId { get; set; }

        /// <summary>
        /// 秘钥
        /// </summary>
        public string Sercret { get; set; }

        /// <summary>
        /// 存储桶
        /// </summary>
        public string Bucket { get; set; }

        /// <summary>
        /// 存储服务
        /// </summary>
        public string CFSServerUrl { get; set; }

        /// <summary>
        /// cdn服务
        /// </summary>
        public string CDNServerUrl { get; set; }
    }

    /// <summary>
    /// Storage 服务类型
    /// </summary>
    public enum StorageServerEnum
    {
        //自建云服务
        Vinno,
        //腾讯云服务
        Tencent
    }

}