﻿using System.Diagnostics;
using Serilog;
using WingServerCommon.Config;

namespace WingServerCommon.Log
{
    public class ServerLoggerEngine : ILogEngine
    {
        private Serilog.Core.Logger _logger;
        public ServerLoggerEngine()
        {
            LogSettings settings = ConfigurationManager.LogSettings;
            //TODO set options according to log settings           
            _logger = new LoggerConfiguration()
                //.WriteTo.MongoDB(arg)
                .WriteTo.Console()
                .CreateLogger();
        }

        /// <summary>
        /// Write the log
        /// </summary>
        /// <param name="level">Log's level see <see cref="TraceLevel"/></param>
        /// <param name="msg">The message to write</param>
        public void Write(TraceLevel level, string msg)
        {
            var threadId = Thread.CurrentThread.ManagedThreadId;
            var log = $"Thead({threadId})-{msg}";
            switch(level){
                case TraceLevel.Error:
                _logger.Error(log);
                break;
                case TraceLevel.Warning:
                 _logger.Warning(log);
                break;
                case TraceLevel.Info:
                _logger.Information(log);
                break;
                case TraceLevel.Verbose:
                _logger.Verbose(log);
                break;
                case TraceLevel.Off:
                break;
            }
          
        }
    }
}
